com.independentsoft.exchange

## Class Conversation

- java.lang.Object
- - com.independentsoft.exchange.Conversation

-     public class Conversation
      extends java.lang.Object

  Represents a single conversation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conversation()` Initializes a new instance of the Conversation class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getCategories()` Gets a collection of strings that identify the categories that are applied to all conversation items in the current folder.
    `java.util.List<ItemId>` | `getDraftItemIds()` Gets the draft item ids.
    `FlagStatus` | `getFlagStatus()` Gets the aggregated flag status for conversation items in the current folder.
    `IconIndex` | `getGlobaIconIndex()` Gets the globa icon index.
    `java.util.List<java.lang.String>` | `getGlobalCategories()` Gets the category list for all conversation items in a mailbox.
    `FlagStatus` | `getGlobalFlagStatus()` Gets the aggregated flag status for all conversation items in a mailbox.
    `Importance` | `getGlobalImportance()` Gets the aggregated importance for all conversation items in a mailbox.
    `java.util.List<java.lang.String>` | `getGlobalItemClasses()` Gets a list of item classes that represents all the item classes of the conversation items in a mailbox.
    `java.util.List<ItemId>` | `getGlobalItemIds()` Gets the collection of item identifiers for all conversation items in a mailbox.
    `java.util.Date` | `getGlobalLastDeliveryTime()` Gets the delivery time of the message that was last received in this conversation across all folders in the mailbox.
    `int` | `getGlobalMessageCount()` Gets the total number of conversation items in the mailbox.
    `int` | `getGlobalSize()` Gest the size of the conversation calculated from the size of all conversation items in the mailbox.
    `java.util.List<java.lang.String>` | `getGlobalUniqueRecipients()` Gets the recipient list of a conversation aggregated across a mailbox.
    `java.util.List<java.lang.String>` | `getGlobalUniqueSenders()` Gets a list of all the senders of conversation items in the mailbox.
    `java.util.List<java.lang.String>` | `getGlobalUniqueUnreadSenders()` Gets a list of all the people who have sent messages that are currently unread in this conversation across all folders in the mailbox.
    `int` | `getGlobalUnreadCount()` Gets a count of all the unread conversation items in the mailbox.
    `PredictedMessageAction` | `getGroupingAction()` Gets the grouping action.
    `IconIndex` | `getIconIndex()` Gets the icon index.
    `ItemId` | `getId()` Gets the identifier of a conversation.
    `Importance` | `getImportance()` Gets the aggregated importance for all conversation items in the current folder.
    `java.lang.String` | `getInstanceKey()` Gets the instance key.
    `java.util.List<java.lang.String>` | `getItemClasses()` Gets a list of item classes that represents all the item classes of the conversation items in the current folder.
    `java.util.List<ItemId>` | `getItemIds()` Gets the collection of item identifiers for all conversation items in the current folder.
    `java.util.Date` | `getLastDeliveryTime()` Gets the delivery time of the message that was last received in this conversation in the current folder.
    `java.util.Date` | `getLastModifiedTime()` Indicates when the item was last modified.
    `int` | `getMessageCount()` Gets the total number of conversation items in the current folder.
    `PredictedMessageAction` | `getNextPredictedAction()` Gets the next predicted action.
    `java.lang.String` | `getPreview()` Gets the preview.
    `int` | `getSize()` Gets the conversation size calculated from the size of all conversation items in the current folder.
    `java.lang.String` | `getTopic()` Gets the conversation topic.
    `java.util.List<java.lang.String>` | `getUniqueRecipients()` Gets the recipient list of a conversation aggregated across a mailbox.
    `java.util.List<java.lang.String>` | `getUniqueSenders()` Gets a list of all the senders of conversation items in the current folder.
    `java.util.List<java.lang.String>` | `getUniqueUnreadSenders()` Gets a list of all the people who have sent messages that are currently unread in this conversation in the current folder.
    `int` | `getUnreadCount()` Gets the count of unread conversation items within a folder.
    `boolean` | `globalHasAttachments()` Gets a value that indicates whether at least one conversation item in a mailbox has an attachment.
    `boolean` | `hasAttachments()` Gets a value that indicates whether at least one conversation item in the current folder has an attachment.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Conversation

          public Conversation()

      Initializes a new instance of the Conversation class.

  - ### Method Detail

    - #### getId

          public ItemId getId()

      Gets the identifier of a conversation.
      Returns:
        the id

    - #### getTopic

          public java.lang.String getTopic()

      Gets the conversation topic.
      Returns:
        the topic

    - #### getUniqueRecipients

          public java.util.List<java.lang.String> getUniqueRecipients()

      Gets the recipient list of a conversation aggregated across a mailbox.
      Returns:
        the unique recipients

    - #### getGlobalUniqueRecipients

          public java.util.List<java.lang.String> getGlobalUniqueRecipients()

      Gets the recipient list of a conversation aggregated across a mailbox.
      Returns:
        the global unique recipients

    - #### getUniqueUnreadSenders

          public java.util.List<java.lang.String> getUniqueUnreadSenders()

      Gets a list of all the people who have sent messages that are currently unread in this conversation in the current folder.
      Returns:
        the unique unread senders

    - #### getGlobalUniqueUnreadSenders

          public java.util.List<java.lang.String> getGlobalUniqueUnreadSenders()

      Gets a list of all the people who have sent messages that are currently unread in this conversation across all folders in the mailbox.
      Returns:
        the global unique unread senders

    - #### getUniqueSenders

          public java.util.List<java.lang.String> getUniqueSenders()

      Gets a list of all the senders of conversation items in the current folder.
      Returns:
        the unique senders

    - #### getGlobalUniqueSenders

          public java.util.List<java.lang.String> getGlobalUniqueSenders()

      Gets a list of all the senders of conversation items in the mailbox.
      Returns:
        the global unique senders

    - #### getLastDeliveryTime

          public java.util.Date getLastDeliveryTime()

      Gets the delivery time of the message that was last received in this conversation in the current folder.
      Returns:
        the last delivery time

    - #### getGlobalLastDeliveryTime

          public java.util.Date getGlobalLastDeliveryTime()

      Gets the delivery time of the message that was last received in this conversation across all folders in the mailbox.
      Returns:
        the global last delivery time

    - #### getCategories

          public java.util.List<java.lang.String> getCategories()

      Gets a collection of strings that identify the categories that are applied to all conversation items in the current folder.
      Returns:
        the categories

    - #### getGlobalCategories

          public java.util.List<java.lang.String> getGlobalCategories()

      Gets the category list for all conversation items in a mailbox.
      Returns:
        the global categories

    - #### getFlagStatus

          public FlagStatus getFlagStatus()

      Gets the aggregated flag status for conversation items in the current folder.
      Returns:
        the flag status

    - #### getGlobalFlagStatus

          public FlagStatus getGlobalFlagStatus()

      Gets the aggregated flag status for all conversation items in a mailbox.
      Returns:
        the global flag status

    - #### hasAttachments

          public boolean hasAttachments()

      Gets a value that indicates whether at least one conversation item in the current folder has an attachment.
      Returns:
        true, if successful

    - #### globalHasAttachments

          public boolean globalHasAttachments()

      Gets a value that indicates whether at least one conversation item in a mailbox has an attachment.
      Returns:
        true, if successful

    - #### getMessageCount

          public int getMessageCount()

      Gets the total number of conversation items in the current folder.
      Returns:
        the message count

    - #### getGlobalMessageCount

          public int getGlobalMessageCount()

      Gets the total number of conversation items in the mailbox.
      Returns:
        the global message count

    - #### getUnreadCount

          public int getUnreadCount()

      Gets the count of unread conversation items within a folder.
      Returns:
        the unread count

    - #### getGlobalUnreadCount

          public int getGlobalUnreadCount()

      Gets a count of all the unread conversation items in the mailbox.
      Returns:
        the global unread count

    - #### getSize

          public int getSize()

      Gets the conversation size calculated from the size of all conversation items in the current folder.
      Returns:
        the size

    - #### getGlobalSize

          public int getGlobalSize()

      Gest the size of the conversation calculated from the size of all conversation items in the mailbox.
      Returns:
        the global size

    - #### getItemClasses

          public java.util.List<java.lang.String> getItemClasses()

      Gets a list of item classes that represents all the item classes of the conversation items in the current folder.
      Returns:
        the item classes

    - #### getGlobalItemClasses

          public java.util.List<java.lang.String> getGlobalItemClasses()

      Gets a list of item classes that represents all the item classes of the conversation items in a mailbox.
      Returns:
        the global item classes

    - #### getImportance

          public Importance getImportance()

      Gets the aggregated importance for all conversation items in the current folder.
      Returns:
        the importance

    - #### getGlobalImportance

          public Importance getGlobalImportance()

      Gets the aggregated importance for all conversation items in a mailbox.
      Returns:
        the global importance

    - #### getItemIds

          public java.util.List<ItemId> getItemIds()

      Gets the collection of item identifiers for all conversation items in the current folder.
      Returns:
        the item ids

    - #### getGlobalItemIds

          public java.util.List<ItemId> getGlobalItemIds()

      Gets the collection of item identifiers for all conversation items in a mailbox.
      Returns:
        the global item ids

    - #### getLastModifiedTime

          public java.util.Date getLastModifiedTime()

      Indicates when the item was last modified.
      Returns:
        the last modified time

    - #### getInstanceKey

          public java.lang.String getInstanceKey()

      Gets the instance key.
      Returns:
        the instance key

    - #### getPreview

          public java.lang.String getPreview()

      Gets the preview.
      Returns:
        the preview

    - #### getNextPredictedAction

          public PredictedMessageAction getNextPredictedAction()

      Gets the next predicted action.
      Returns:
        the next predicted action

    - #### getGroupingAction

          public PredictedMessageAction getGroupingAction()

      Gets the grouping action.
      Returns:
        the grouping action

    - #### getIconIndex

          public IconIndex getIconIndex()

      Gets the icon index.
      Returns:
        the icon index

    - #### getGlobaIconIndex

          public IconIndex getGlobaIconIndex()

      Gets the globa icon index.
      Returns:
        the globa icon index

    - #### getDraftItemIds

          public java.util.List<ItemId> getDraftItemIds()

      Gets the draft item ids.
      Returns:
        the draft item ids